%% Creating groups of control and amw flies
cntrl = score(~amw,:);
amw1 = score(logical(amw),:);
%%
mInter = [];
mIntra = [];
lengthThing = 1:2;
h=waitbar(0,'progress');
%%
lengthThing2 = length(cntrl(:,1))/2;
for i = 1:20000 %for 20,000 interations
    randomFlyID = ceil(lengthThing2*rand(1,lengthThing2)); %create a list of random numbers (with replacement) from 1-10 (for 1-10 of control flies)
    intra = [];inter = [];
    for flyID = 1:length(randomFlyID)
        intra(end+1) = pdist([cntrl(randomFlyID(flyID)*2,lengthThing);cntrl((randomFlyID(flyID)*2)-1,lengthThing)]);
        %in this data structure, the representations of odorpanel 1 and
        %odorpanel 2 are located at (flyID*2)-1 and (flyID*2)
        for k = 1:length(randomFlyID)
            if k == flyID
                continue
            end
            inter(end+1) = pdist([cntrl(randomFlyID(flyID)*2,lengthThing);cntrl((randomFlyID(k)*2),lengthThing)]);
            inter(end+1) = pdist([cntrl(randomFlyID(flyID)*2,lengthThing);cntrl((randomFlyID(k)*2)-1,lengthThing)]);
            inter(end+1) = pdist([cntrl((randomFlyID(flyID)*2)-1,lengthThing);cntrl((randomFlyID(k)*2),lengthThing)]);
            inter(end+1) = pdist([cntrl((randomFlyID(flyID)*2)-1,lengthThing);cntrl((randomFlyID(k)*2)-1,lengthThing)]);
            %Calcuate the distance of both odor panel 1 and 2 to the odor
            %panel 1 and 2 of the random fly
        end
    end
    mInter(end+1) = nanmean(inter);
    mIntra(end+1) = nanmean(intra);
    waitbar(i/20000,h)
end
close(h)
mInter1 = mInter;
mIntra1 = mIntra;
p = sum(mIntra>mInter)/length(mIntra)
barMean= [nanmean(mIntra),nanmean(mInter)];
barStd= [nanstd(mIntra),nanstd(mInter)];


%%
lengthThing2 = length(amw1(:,1))/2;
mInter = [];
mIntra = [];
lengthThing = 1:2;
h=waitbar(0,'progress');
%cntrl = a100(~amw,:);
%amw1 = a100(logical(amw),:);
for i = 1:20000
    randomFlyID = ceil(lengthThing2*rand(1,lengthThing2));
    intra = [];inter = [];
    for flyID = 1:length(randomFlyID)
        intra(end+1) = pdist([amw1(randomFlyID(flyID)*2,lengthThing);amw1((randomFlyID(flyID)*2)-1,lengthThing)]);
        for k = 1:length(randomFlyID)
            if k == flyID
                continue
            end
            inter(end+1) = pdist([amw1(randomFlyID(flyID)*2,lengthThing);amw1((randomFlyID(k)*2),lengthThing)]);
            inter(end+1) = pdist([amw1(randomFlyID(flyID)*2,lengthThing);amw1((randomFlyID(k)*2)-1,lengthThing)]);
            inter(end+1) = pdist([amw1((randomFlyID(flyID)*2)-1,lengthThing);amw1((randomFlyID(k)*2),lengthThing)]);
            inter(end+1) = pdist([amw1((randomFlyID(flyID)*2)-1,lengthThing);amw1((randomFlyID(k)*2)-1,lengthThing)]);
        end
    end
    mInter(end+1) = nanmean(inter);
    mIntra(end+1) = nanmean(intra);
    waitbar(i/20000,h)
end
close(h)
figure;bar([nanmean(mIntra1),nanmean(mInter1),nanmean(mIntra),nanmean(mInter)])
benFigureFormat_gen
title('Full odor panel intra v inter: cnt vs amw')
p = sum(mIntra>mInter)/length(mIntra)
p = sum(mIntra1>mInter1)/length(mIntra1)
%%
mIntra2 = mIntra;
mInter2 = mInter;

p = sum(mIntra1>mIntra2)/length(mIntra2)
p = sum(mInter1(randperm(length(mInter1)))>mInter2(randperm(length(mInter2))))/length(mIntra1)

madS= [nanmean(mIntra1),nanmean(mInter1),nanmean(mIntra2),nanmean(mInter2)];
madE= [nanstd(mIntra1),nanstd(mInter1),nanstd(mIntra2),nanstd(mInter2)];

%%
Fig2f_bar
axis([0.5 4.5 0 14])
aL = legend('control','amw treated')
aL.Box ='off';
aL.AutoUpdate ='off';
mList = {mIntra1,mInter1,mIntra2,mInter2};
addThemBars_gen
